#!/bin/sh


httpuid=`grep SERVER_UID_NAME /etc/opt/openit/openit.cfg  | cut -f2- -d' ' | sed -e 's/ *//g'`
httpgid=`grep SERVER_GID_NAME /etc/opt/openit/openit.cfg  | cut -f2- -d' ' | sed -e 's/ *//g'`
rootdir=`egrep "^ROOT_DIR" /etc/opt/openit/openit.cfg  | cut -f2- -d' ' | sed -e 's/ *//g'`

if [ "$httpuid" = "" ]; then
  echo Can\'t find SERVER_UID_NAME in /etc/opt/openit/openit.cfg
  exit 1
fi
if [ "$httpgid" = "" ]; then
  echo Can\'t find SERVER_GID_NAME in /etc/opt/openit/openit.cfg
  exit 1
fi
if [ "$rootdir" = "" ]; then
  echo Can\'t find ROOT_DIR in /etc/opt/openit/openit.cfg
  exit 1
fi


# Fix permissions
cd $rootdir
mkdir -p config
chown -R $httpuid:$httpgid classes config db html logs smarty 2>/dev/null
chmod -R 775 config db logs smarty 2>/dev/null

exit 0
