<?php

// No time limit
set_time_limit(0);

// Get classifications IDs that are selected

$classificationId = isset($_REQUEST["classificationId"]) ? $_REQUEST["classificationId"] : null;
$classificationValueIds = isset($_REQUEST["classificationValueIds"]) ? explode("|", $_REQUEST["classificationValueIds"]) : null;
$NSclassificationValueIds = isset($_REQUEST["NSclassificationValueIds"]) ? explode("|", $_REQUEST["NSclassificationValueIds"]) : null;
$selectAll = isset($_REQUEST["selectAll"]) ? $_REQUEST["selectAll"] === "true" ? true : false : null;

if (!is_null($classificationValueIds)) {
	
	// NEW SETTING
	if (!isset($_SESSION["NEW_STAT"])) {
		 $_SESSION["NEW_STAT"] = array();
	}
	
	// Add new selection to this classification
	foreach ($classificationValueIds as $classificationValueId) {
		list ($id, $value) = explode("-", $classificationValueId);
		if ($id == "" || $value == "") continue;			
		$_SESSION["NEW_STAT"][$value] = $id; 
	}
        
        // remove other list items currently displayed
	foreach ($NSclassificationValueIds as $NSclassificationValueId) {
		list ($id, $value) = explode("-", $NSclassificationValueId);
		if ($id == "" || $value == "") continue;			
		unset($_SESSION["NEW_STAT"][$value]); 
	}
        
	// \NEW SETTING
	
	
	// Load active datatype
	$dataType =& $_SESSION["ACTIVE"];

	// Active classification
	$activeClassification = null;
	
	// Remove existing selections if there is a classification id given
	if (!is_null($classificationId)) {
		$classification = $dataType->getClassification($classificationId);
		$classification->removeSelections();
		$activeClassification = $classificationId;
	}

	// Parse each values given
	foreach ($classificationValueIds as $classificationValueId) {
            if(count($classificationValueIds)==1 && $classificationValueId=="") break;
		
            list ($classificationId, $value) = explode("-", $classificationValueId);

            if ($classificationId != $activeClassification || is_null($classification))	{
                    $classification =& $dataType->getClassification($classificationId);
                    $activeClassification = $classificationId;
            }

            $classification->addSelection($value);
		
	}
        
        // Removing all else in the list
	foreach ($NSclassificationValueIds as $NSclassificationValueId) {
            list ($classificationId, $value) = explode("-", $NSclassificationValueId);
            $classification->removeSelection($value);
	}
}

if (!is_null($selectAll)) {
    // Load active datatype
    $dataType = $_SESSION["ACTIVE"];
    echo "setup classifications... \n";
    // Active classification
    $activeClassification = null;

    $classification = $dataType->getClassification($classificationId);
    $classificationValues = $classification->getClassificationValues();
    $activeClassification = $classificationId;

    // clear selections on this classification
    $stat = $_SESSION["NEW_STAT"];
    $_SESSION["NEW_STAT"] = array();
    foreach ($stat as $key => $value){
        if ($value != $classificationId){
            $_SESSION["NEW_STAT"][$key] = $value; 
        }
    }

    //repopulate
    if($selectAll){
        foreach ($classificationValues as $classificationValue){	
            $_SESSION["NEW_STAT"][$classificationValue->getUID()] = $classificationValue->classification->getUID(); 
        }
        foreach ($classificationValues as $classificationValue){
            $classification->addSelection($classificationValue->getUID());
        }
    }else{
        $classification->removeSelections();
    }
}
?>